Qt project developed in Windows not working properly in Unix



  • I developed a Qt project in windows using Qt Creator 2.3.0
    Based on Qt 4.7.4 (32 bit).....
    I tried to buit the same project in Unix, which was using Qt 4.4.3... (i cant upgrade this..)
    I got error for the following lines...

    @
    ui->tabWidget_unfiltered->setTabsClosable(true);
    @

    @ui->lineEdit_directory->setText(path);@

    @stringList.removeDuplicates();@

    when i removed those statements, it executed.....
    Now what should i need to do...inorder to get all those features in Unix..



  • Well, as the "documentation":http://developer.qt.nokia.com/doc/qt-4.8/qtabwidget.html#tabsClosable-prop reports for instance in the case of the first line of code, the method setTabsClosable has been introduced since Qt 4.5. You are developing with very different versions of Qt, so the only thing you have to do is either upgrade the Linux library or downgrade the Windows one and develop with the same version.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.